Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.randvar
Class BetaGen

    java.lang.Object
      umontreal.iro.lecuyer.randvar.RandomVariateGen
          umontreal.iro.lecuyer.randvar.BetaGen

Direct Known Subclasses:
  BetaRejectionLoglogisticGen, BetaStratifiedRejectionGen, BetaSymmetricalGen

    public class BetaGen

extends RandomVariateGen

This class implements random variate generators with the beta distribution with shape parameters α > 0 and β > 0, over the interval (a, b), where a < b. The density function of this distribution is

f (x) = [Γ(α + β)/(Γ(α)Γ(β)(b - a)α+β-1)](x - a)α-1(b - x)β-1 for a < x < b,

and f (x) = 0 elsewhere, where Γ(x) is the gamma function defined in `GammaGen`. Local copies of the parameters α, β, a, and b are maintained in this class. The (non-static) `nextDouble` method simply calls `inverseF` on the distribution.

Constructor Summary
`BetaGen(RandomStream s, BetaDist dist)` Creates a new generator for the distribution `dist`, using stream `s`.
`BetaGen(RandomStream s, double alpha, double beta)` Creates a new beta generator with parameters α = `alpha` and β = `beta`, over the interval (0, 1), using stream `s`.
`BetaGen(RandomStream s, double alpha, double beta, double a, double b)` Creates a new beta generator with parameters α = `alpha` and β = `beta`, over the interval (`a`, `b`), using stream `s`.

Method Summary
`double` | `getA()` Returns the parameter a of this object.
`double` | `getAlpha()` Returns the parameter α of this object.
`double` | `getB()` Returns the parameter b of this object.
`double` | `getBeta()` Returns the parameter β of this object.
`static double` | `nextDouble(RandomStream s, double alpha, double beta, double a, double b)` Generates a variate from the beta distribution with parameters α = `alpha`, β = `beta`, over the interval (a, b), using stream `s`.

Methods inherited from class umontreal.iro.lecuyer.randvar.RandomVariateGen
`getDistribution, getStream, nextArrayOfDouble, nextDouble, setStream`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BetaGen

    public BetaGen(RandomStream s,
                   double alpha,
                   double beta,
                   double a,
                   double b)

  Creates a new beta generator with parameters α = `alpha` and β = `beta`, over the interval (`a`, `b`), using stream `s`.

### BetaGen

    public BetaGen(RandomStream s,
                   double alpha,
                   double beta)

  Creates a new beta generator with parameters α = `alpha` and β = `beta`, over the interval (0, 1), using stream `s`.

### BetaGen

    public BetaGen(RandomStream s,
                   BetaDist dist)

  Creates a new generator for the distribution `dist`, using stream `s`.

Method Detail

### nextDouble

    public static double nextDouble(RandomStream s,
                                    double alpha,
                                    double beta,
                                    double a,
                                    double b)

  Generates a variate from the beta distribution with parameters α = `alpha`, β = `beta`, over the interval (a, b), using stream `s`.

### getAlpha

    public double getAlpha()

  Returns the parameter α of this object.

### getBeta

    public double getBeta()

  Returns the parameter β of this object.

### getA

    public double getA()

  Returns the parameter a of this object.

### getB

    public double getB()

  Returns the parameter b of this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Pierre L'Ecuyer.